Loading...
Searching...
No Matches
Catch::Benchmark::ExecutionPlan Struct Reference

`#include <catch_amalgamated.hpp>`

Collaboration diagram for Catch::Benchmark::ExecutionPlan:
[legend]

## Public Member Functions

template<typename Clock>
std::vector< FDuration > | run (const IConfig &cfg, Environment env) const

## Public Attributes

int | iterations_per_sample
FDuration | estimated_duration
Detail::BenchmarkFunction | benchmark
FDuration | warmup_time
int | warmup_iterations

## Member Function Documentation

## run()

template<typename Clock>

std::vector< FDuration > Catch::Benchmark::ExecutionPlan::run | ( | const IConfig & | cfg,
|  | Environment | env ) const

inline

Here is the call graph for this function:

## Member Data Documentation

## benchmark

Detail::BenchmarkFunction Catch::Benchmark::ExecutionPlan::benchmark

## estimated_duration

FDuration Catch::Benchmark::ExecutionPlan::estimated_duration

## iterations_per_sample

int Catch::Benchmark::ExecutionPlan::iterations_per_sample

## warmup_iterations

int Catch::Benchmark::ExecutionPlan::warmup_iterations

## warmup_time

FDuration Catch::Benchmark::ExecutionPlan::warmup_time

The documentation for this struct was generated from the following file:

- tests/vendor/catch_amalgamated.hpp